code-server-mod (v1-bb3724df)
Installation
docker pull git.cyber.gent/friedkiwi/code-server-mod:v1-bb3724df
sha256:83fdb60cee63b8ff090a13cfe4cb06e2851e3f020b74839bf704e16f2dabf500
About this package
[Code-server](https://coder.com) is VS Code running on a remote server, accessible through the browser. - Code on your Chromebook, tablet, and laptop with a consistent dev environment. - If you have a Windows or Mac workstation, more easily develop for Linux. - Take advantage of large cloud servers to speed up tests, compilations, downloads, and more. - Preserve battery life when you're on the go. - All intensive computation runs on your server. - You're no longer running excess instances of Chrome.
Image Layers
COPY /root-out/ / # buildkit |
ARG BUILD_DATE |
ARG VERSION |
ARG MODS_VERSION=v3 |
LABEL build_version=Linuxserver.io version:- 1ba29aa3-ls62 Build-date:- 2023-03-20T23:47:02-05:00 |
LABEL maintainer=TheLamer |
ADD https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/docker-mods.v3 /docker-mods # buildkit |
ARG DEBIAN_FRONTEND=noninteractive |
ENV HOME=/root LANGUAGE=en_US.UTF-8 LANG=en_US.UTF-8 TERM=xterm S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0 S6_VERBOSITY=1 S6_STAGE2_HOOK=/docker-mods |
COPY sources.list /etc/apt/ # buildkit |
RUN |4 BUILD_DATE=2023-03-20T23:47:02-05:00 VERSION=1ba29aa3-ls62 MODS_VERSION=v3 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** Ripped from Ubuntu Docker Logic ****" && set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests && mkdir -p /run/systemd && echo 'docker' > /run/systemd/container && echo "**** install apt-utils and locales ****" && apt-get update && apt-get install -y apt-utils locales && echo "**** install packages ****" && apt-get install -y curl gnupg jq netcat tzdata && echo "**** generate locale ****" && locale-gen en_US.UTF-8 && echo "**** create abc user and make our folders ****" && useradd -u 911 -U -d /config -s /bin/false abc && usermod -G users abc && mkdir -p /app /config /defaults && echo "**** cleanup ****" && apt-get autoremove && apt-get clean && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* /var/log/* # buildkit |
COPY root/ / # buildkit |
ENTRYPOINT ["/init"] |
ENV LSIO_FIRST_PARTY=true |
ARG BUILD_DATE |
ARG VERSION |
ARG CODE_RELEASE |
LABEL build_version=Linuxserver.io version:- 4.11.0-ls156 Build-date:- 2023-04-02T14:28:54+02:00 |
LABEL maintainer=aptalca |
ARG DEBIAN_FRONTEND=noninteractive |
ENV HOME=/config |
RUN |4 BUILD_DATE=2023-04-02T14:28:54+02:00 VERSION=4.11.0-ls156 CODE_RELEASE=4.11.0 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** install runtime dependencies ****" && apt-get update && apt-get install -y git jq libatomic1 nano net-tools netcat sudo && echo "**** install code-server ****" && if [ -z ${CODE_RELEASE+x} ]; then CODE_RELEASE=$(curl -sX GET https://api.github.com/repos/coder/code-server/releases/latest | awk '/tag_name/{print $4;exit}' FS='[""]' | sed 's|^v||'); fi && mkdir -p /app/code-server && curl -o /tmp/code-server.tar.gz -L "https://github.com/coder/code-server/releases/download/v${CODE_RELEASE}/code-server-${CODE_RELEASE}-linux-amd64.tar.gz" && tar xf /tmp/code-server.tar.gz -C /app/code-server --strip-components=1 && echo "**** clean up ****" && apt-get clean && rm -rf /config/* /tmp/* /var/lib/apt/lists/* /var/tmp/* # buildkit |
COPY /root / # buildkit |
EXPOSE map[8443/tcp:{}] |
RUN apt update -y && apt upgrade -y && apt install -y build-essential cmake python3-dev c3270 git wget time autoconf automake flex gawk m4 libltdl-dev libtool-bin libcap2-bin libbz2-dev zlib1g-dev default-jdk openjdk-8-jdk openjdk-11-jdk openjdk-17-jdk golang dotnet-sdk-6.0 mingw-w64 mingw-w64-i686-dev mingw-w64-x86-64-dev |
RUN cd / && git clone https://github.com/wrljet/hercules-helper.git |
COPY allow-root-build.patch /hercules-helper |
COPY hercules-helper.conf /hercules-helper/hercules-helper.conf |
RUN cd /hercules-helper && patch hyperion-buildall.sh allow-root-build.patch && ./hyperion-buildall.sh --no-setcap |
COPY add-herc-helper-to-init.patch /hercules-helper |
RUN cd / && patch init /hercules-helper/add-herc-helper-to-init.patch |
Labels
Key | Value |
---|---|
build_version | Linuxserver.io version:- 4.11.0-ls156 Build-date:- 2023-04-02T14:28:54+02:00 |
maintainer | aptalca |
org.opencontainers.image.authors | linuxserver.io |
org.opencontainers.image.created | 2023-04-02T14:28:54+02:00 |
org.opencontainers.image.description | [Code-server](https://coder.com) is VS Code running on a remote server, accessible through the browser. - Code on your Chromebook, tablet, and laptop with a consistent dev environment. - If you have a Windows or Mac workstation, more easily develop for Linux. - Take advantage of large cloud servers to speed up tests, compilations, downloads, and more. - Preserve battery life when you're on the go. - All intensive computation runs on your server. - You're no longer running excess instances of Chrome. |
org.opencontainers.image.documentation | https://docs.linuxserver.io/images/docker-code-server |
org.opencontainers.image.licenses | GPL-3.0-only |
org.opencontainers.image.ref.name | 2a542048884512674ab9be01b6f7e284fc68d1e7 |
org.opencontainers.image.revision | 2a542048884512674ab9be01b6f7e284fc68d1e7 |
org.opencontainers.image.source | https://github.com/linuxserver/docker-code-server |
org.opencontainers.image.title | Code-server |
org.opencontainers.image.url | https://github.com/linuxserver/docker-code-server/packages |
org.opencontainers.image.vendor | linuxserver.io |
org.opencontainers.image.version | 4.11.0-ls156 |
Details
2023-04-02 13:13:10 +00:00
Versions (3)
View all
Container
1
OCI / Docker
linux/amd64
linuxserver.io
GPL-3.0-only
2.0 GiB